Skip to main content
PUT
Update a Data Key Target

Authorizations

Authorization
string
header
required

API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.

Path Parameters

id
integer
required

Identifier of the Data Key Target you'd like to update.

Body

application/json
name
string

The name of the data key target.

Example:

"Example Data Key Target"

target
string

The JSON formatted target logic.

Example:

"[\"OR\", {\"my_number\": {\"=\": \"5\"}}, {\"my_string\": {\"=\": \"test\"}}]"

Response

default - application/json

successful operation

name
string

The name of the data key target.

Example:

"Example Data Key Target"

target
string

The JSON formatted target logic.

Example:

"[\"OR\", {\"my_number\": {\"=\": \"5\"}}, {\"my_string\": {\"=\": \"test\"}}]"

object
string

A string denoting the current resource being requested or affected.

Example:

"data_key"

self
string

The relative URL of the current resource being requested or affected.

Example:

"/v2/data-keys/1234"

id
integer

The current resource identifier (ID).

Example:

1234